Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2551.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-lf-2551.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2551.exp
@@ -40,646 +40,645 @@
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="162" operation="monitor" operation_key="dummy1_monitor_30000" on_node="hex-0" on_node_uuid="hex-0">
+      <rsc_op id="163" operation="monitor" operation_key="dummy1_monitor_30000" on_node="hex-0" on_node_uuid="hex-0">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="hex-0" CRM_meta_on_node_uuid="hex-0" CRM_meta_record_pending="false" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="161" operation="start" operation_key="dummy1_start_0" on_node="hex-0" on_node_uuid="hex-0"/>
+        <rsc_op id="162" operation="start" operation_key="dummy1_start_0" on_node="hex-0" on_node_uuid="hex-0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="161" operation="start" operation_key="dummy1_start_0" on_node="hex-0" on_node_uuid="hex-0">
+      <rsc_op id="162" operation="start" operation_key="dummy1_start_0" on_node="hex-0" on_node_uuid="hex-0">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_on_node="hex-0" CRM_meta_on_node_uuid="hex-0" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="160" operation="stop" operation_key="dummy1_stop_0"/>
+        <pseudo_event id="161" operation="stop" operation_key="dummy1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="244" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="245" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="160" operation="stop" operation_key="dummy1_stop_0">
+      <pseudo_event id="161" operation="stop" operation_key="dummy1_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="223" operation="stopped" operation_key="base-group:3_stopped_0">
+      <pseudo_event id="224" operation="stopped" operation_key="base-group:3_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="214" operation="stop" operation_key="dlm:3_stop_0"/>
+        <pseudo_event id="215" operation="stop" operation_key="dlm:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="215" operation="stop" operation_key="o2cb:3_stop_0"/>
+        <pseudo_event id="216" operation="stop" operation_key="o2cb:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="216" operation="stop" operation_key="clvm:3_stop_0"/>
+        <pseudo_event id="217" operation="stop" operation_key="clvm:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="217" operation="stop" operation_key="cmirrord:3_stop_0"/>
+        <pseudo_event id="218" operation="stop" operation_key="cmirrord:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="218" operation="stop" operation_key="vg1:3_stop_0"/>
+        <pseudo_event id="219" operation="stop" operation_key="vg1:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="219" operation="stop" operation_key="ocfs2-1:3_stop_0"/>
+        <pseudo_event id="220" operation="stop" operation_key="ocfs2-1:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0"/>
+        <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0">
+      <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="226" operation="stop" operation_key="base-clone_stop_0"/>
+        <pseudo_event id="227" operation="stop" operation_key="base-clone_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="214" operation="stop" operation_key="dlm:3_stop_0">
+      <pseudo_event id="215" operation="stop" operation_key="dlm:3_stop_0">
         <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="215" operation="stop" operation_key="o2cb:3_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
       <trigger>
-        <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0"/>
+        <pseudo_event id="216" operation="stop" operation_key="o2cb:3_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <pseudo_event id="215" operation="stop" operation_key="o2cb:3_stop_0">
+      <pseudo_event id="216" operation="stop" operation_key="o2cb:3_stop_0">
         <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="216" operation="stop" operation_key="clvm:3_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
       <trigger>
-        <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0"/>
+        <pseudo_event id="217" operation="stop" operation_key="clvm:3_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <pseudo_event id="216" operation="stop" operation_key="clvm:3_stop_0">
+      <pseudo_event id="217" operation="stop" operation_key="clvm:3_stop_0">
         <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="30"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="217" operation="stop" operation_key="cmirrord:3_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
       <trigger>
-        <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0"/>
+        <pseudo_event id="218" operation="stop" operation_key="cmirrord:3_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <pseudo_event id="217" operation="stop" operation_key="cmirrord:3_stop_0">
+      <pseudo_event id="218" operation="stop" operation_key="cmirrord:3_stop_0">
         <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="60"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="218" operation="stop" operation_key="vg1:3_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
       <trigger>
-        <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0"/>
+        <pseudo_event id="219" operation="stop" operation_key="vg1:3_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <pseudo_event id="218" operation="stop" operation_key="vg1:3_stop_0">
+      <pseudo_event id="219" operation="stop" operation_key="vg1:3_stop_0">
         <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  volgrpname="cluster-vg"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="219" operation="stop" operation_key="ocfs2-1:3_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
       <trigger>
-        <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0"/>
+        <pseudo_event id="220" operation="stop" operation_key="ocfs2-1:3_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14">
     <action_set>
-      <pseudo_event id="219" operation="stop" operation_key="ocfs2-1:3_stop_0">
+      <pseudo_event id="220" operation="stop" operation_key="ocfs2-1:3_stop_0">
         <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  device="/dev/cluster-vg/fs1" directory="/var/lib/xen/images" fstype="ocfs2" options="acl"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="222" operation="stop" operation_key="base-group:3_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <pseudo_event id="223" operation="stop" operation_key="base-group:3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15" priority="1000000">
     <action_set>
-      <pseudo_event id="227" operation="stopped" operation_key="base-clone_stopped_0">
+      <pseudo_event id="228" operation="stopped" operation_key="base-clone_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="223" operation="stopped" operation_key="base-group:3_stopped_0"/>
+        <pseudo_event id="224" operation="stopped" operation_key="base-group:3_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="226" operation="stop" operation_key="base-clone_stop_0"/>
+        <pseudo_event id="227" operation="stop" operation_key="base-clone_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <pseudo_event id="226" operation="stop" operation_key="base-clone_stop_0">
+      <pseudo_event id="227" operation="stop" operation_key="base-clone_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="228" operation="stop" operation_key="vm-03_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
       <trigger>
-        <pseudo_event id="229" operation="stop" operation_key="vm-06_stop_0"/>
+        <pseudo_event id="229" operation="stop" operation_key="vm-03_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="230" operation="stop" operation_key="vm-09_stop_0"/>
+        <pseudo_event id="230" operation="stop" operation_key="vm-06_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="231" operation="stop" operation_key="vm-13_stop_0"/>
+        <pseudo_event id="231" operation="stop" operation_key="vm-09_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="232" operation="stop" operation_key="vm-17_stop_0"/>
+        <pseudo_event id="232" operation="stop" operation_key="vm-13_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="233" operation="stop" operation_key="vm-21_stop_0"/>
+        <pseudo_event id="233" operation="stop" operation_key="vm-17_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="234" operation="stop" operation_key="vm-25_stop_0"/>
+        <pseudo_event id="234" operation="stop" operation_key="vm-21_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="235" operation="stop" operation_key="vm-29_stop_0"/>
+        <pseudo_event id="235" operation="stop" operation_key="vm-25_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="236" operation="stop" operation_key="vm-33_stop_0"/>
+        <pseudo_event id="236" operation="stop" operation_key="vm-29_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="237" operation="stop" operation_key="vm-37_stop_0"/>
+        <pseudo_event id="237" operation="stop" operation_key="vm-33_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="238" operation="stop" operation_key="vm-41_stop_0"/>
+        <pseudo_event id="238" operation="stop" operation_key="vm-37_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="239" operation="stop" operation_key="vm-45_stop_0"/>
+        <pseudo_event id="239" operation="stop" operation_key="vm-41_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="240" operation="stop" operation_key="vm-49_stop_0"/>
+        <pseudo_event id="240" operation="stop" operation_key="vm-45_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="241" operation="stop" operation_key="vm-53_stop_0"/>
+        <pseudo_event id="241" operation="stop" operation_key="vm-49_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="242" operation="stop" operation_key="vm-57_stop_0"/>
+        <pseudo_event id="242" operation="stop" operation_key="vm-53_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="243" operation="stop" operation_key="vm-61_stop_0"/>
+        <pseudo_event id="243" operation="stop" operation_key="vm-57_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <pseudo_event id="244" operation="stop" operation_key="vm-61_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="17">
     <action_set>
-      <pseudo_event id="228" operation="stop" operation_key="vm-03_stop_0">
+      <pseudo_event id="229" operation="stop" operation_key="vm-03_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-03" xmfile="/var/lib/xen/images/xm.vm-03"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="18">
     <action_set>
-      <pseudo_event id="229" operation="stop" operation_key="vm-06_stop_0">
+      <pseudo_event id="230" operation="stop" operation_key="vm-06_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-06" xmfile="/var/lib/xen/images/xm.vm-06"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="19">
     <action_set>
-      <pseudo_event id="230" operation="stop" operation_key="vm-09_stop_0">
+      <pseudo_event id="231" operation="stop" operation_key="vm-09_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-09" xmfile="/var/lib/xen/images/xm.vm-09"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="20">
     <action_set>
-      <pseudo_event id="231" operation="stop" operation_key="vm-13_stop_0">
+      <pseudo_event id="232" operation="stop" operation_key="vm-13_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-13" xmfile="/var/lib/xen/images/xm.vm-13"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="21">
     <action_set>
-      <pseudo_event id="232" operation="stop" operation_key="vm-17_stop_0">
+      <pseudo_event id="233" operation="stop" operation_key="vm-17_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-17" xmfile="/var/lib/xen/images/xm.vm-17"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="22">
     <action_set>
-      <pseudo_event id="233" operation="stop" operation_key="vm-21_stop_0">
+      <pseudo_event id="234" operation="stop" operation_key="vm-21_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-21" xmfile="/var/lib/xen/images/xm.vm-21"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="23">
     <action_set>
-      <pseudo_event id="234" operation="stop" operation_key="vm-25_stop_0">
+      <pseudo_event id="235" operation="stop" operation_key="vm-25_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-25" xmfile="/var/lib/xen/images/xm.vm-25"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="24">
     <action_set>
-      <pseudo_event id="235" operation="stop" operation_key="vm-29_stop_0">
+      <pseudo_event id="236" operation="stop" operation_key="vm-29_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-29" xmfile="/var/lib/xen/images/xm.vm-29"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="25">
     <action_set>
-      <pseudo_event id="236" operation="stop" operation_key="vm-33_stop_0">
+      <pseudo_event id="237" operation="stop" operation_key="vm-33_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-33" xmfile="/var/lib/xen/images/xm.vm-33"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="26">
     <action_set>
-      <pseudo_event id="237" operation="stop" operation_key="vm-37_stop_0">
+      <pseudo_event id="238" operation="stop" operation_key="vm-37_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-37" xmfile="/var/lib/xen/images/xm.vm-37"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
     <action_set>
-      <pseudo_event id="238" operation="stop" operation_key="vm-41_stop_0">
+      <pseudo_event id="239" operation="stop" operation_key="vm-41_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-41" xmfile="/var/lib/xen/images/xm.vm-41"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="28">
     <action_set>
-      <pseudo_event id="239" operation="stop" operation_key="vm-45_stop_0">
+      <pseudo_event id="240" operation="stop" operation_key="vm-45_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-45" xmfile="/var/lib/xen/images/xm.vm-45"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="29">
     <action_set>
-      <pseudo_event id="240" operation="stop" operation_key="vm-49_stop_0">
+      <pseudo_event id="241" operation="stop" operation_key="vm-49_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-49" xmfile="/var/lib/xen/images/xm.vm-49"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="30">
     <action_set>
-      <pseudo_event id="241" operation="stop" operation_key="vm-53_stop_0">
+      <pseudo_event id="242" operation="stop" operation_key="vm-53_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-53" xmfile="/var/lib/xen/images/xm.vm-53"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="31">
     <action_set>
-      <pseudo_event id="242" operation="stop" operation_key="vm-57_stop_0">
+      <pseudo_event id="243" operation="stop" operation_key="vm-57_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-57" xmfile="/var/lib/xen/images/xm.vm-57"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="32">
     <action_set>
-      <pseudo_event id="243" operation="stop" operation_key="vm-61_stop_0">
+      <pseudo_event id="244" operation="stop" operation_key="vm-61_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  name="vm-61" xmfile="/var/lib/xen/images/xm.vm-61"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="33">
     <action_set>
-      <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9">
-        <attributes CRM_meta_on_node="hex-9" CRM_meta_on_node_uuid="hex-9" CRM_meta_probe_complete="true" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="hex-9"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="34">
-    <action_set>
-      <pseudo_event id="244" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="245" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="245" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="35">
+  <synapse id="34">
     <action_set>
-      <pseudo_event id="65" operation="load_stopped_hex-9" operation_key="load_stopped_hex-9">
+      <pseudo_event id="66" operation="load_stopped_hex-9" operation_key="load_stopped_hex-9">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="228" operation="stop" operation_key="vm-03_stop_0"/>
+        <pseudo_event id="229" operation="stop" operation_key="vm-03_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="229" operation="stop" operation_key="vm-06_stop_0"/>
+        <pseudo_event id="230" operation="stop" operation_key="vm-06_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="230" operation="stop" operation_key="vm-09_stop_0"/>
+        <pseudo_event id="231" operation="stop" operation_key="vm-09_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="231" operation="stop" operation_key="vm-13_stop_0"/>
+        <pseudo_event id="232" operation="stop" operation_key="vm-13_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="232" operation="stop" operation_key="vm-17_stop_0"/>
+        <pseudo_event id="233" operation="stop" operation_key="vm-17_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="233" operation="stop" operation_key="vm-21_stop_0"/>
+        <pseudo_event id="234" operation="stop" operation_key="vm-21_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="234" operation="stop" operation_key="vm-25_stop_0"/>
+        <pseudo_event id="235" operation="stop" operation_key="vm-25_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="235" operation="stop" operation_key="vm-29_stop_0"/>
+        <pseudo_event id="236" operation="stop" operation_key="vm-29_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="236" operation="stop" operation_key="vm-33_stop_0"/>
+        <pseudo_event id="237" operation="stop" operation_key="vm-33_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="237" operation="stop" operation_key="vm-37_stop_0"/>
+        <pseudo_event id="238" operation="stop" operation_key="vm-37_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="238" operation="stop" operation_key="vm-41_stop_0"/>
+        <pseudo_event id="239" operation="stop" operation_key="vm-41_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="239" operation="stop" operation_key="vm-45_stop_0"/>
+        <pseudo_event id="240" operation="stop" operation_key="vm-45_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="240" operation="stop" operation_key="vm-49_stop_0"/>
+        <pseudo_event id="241" operation="stop" operation_key="vm-49_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="241" operation="stop" operation_key="vm-53_stop_0"/>
+        <pseudo_event id="242" operation="stop" operation_key="vm-53_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="242" operation="stop" operation_key="vm-57_stop_0"/>
+        <pseudo_event id="243" operation="stop" operation_key="vm-57_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="243" operation="stop" operation_key="vm-61_stop_0"/>
+        <pseudo_event id="244" operation="stop" operation_key="vm-61_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="36">
+  <synapse id="35">
     <action_set>
-      <pseudo_event id="64" operation="load_stopped_hex-8" operation_key="load_stopped_hex-8">
+      <pseudo_event id="65" operation="load_stopped_hex-8" operation_key="load_stopped_hex-8">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="37">
+  <synapse id="36">
     <action_set>
-      <pseudo_event id="63" operation="load_stopped_hex-7" operation_key="load_stopped_hex-7">
+      <pseudo_event id="64" operation="load_stopped_hex-7" operation_key="load_stopped_hex-7">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="38">
+  <synapse id="37">
     <action_set>
-      <pseudo_event id="62" operation="load_stopped_hex-0" operation_key="load_stopped_hex-0">
+      <pseudo_event id="63" operation="load_stopped_hex-0" operation_key="load_stopped_hex-0">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="39">
+  <synapse id="38">
     <action_set>
-      <pseudo_event id="61" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="62" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="158" operation="stop" operation_key="fencing-sbd_stop_0"/>
+        <pseudo_event id="159" operation="stop" operation_key="fencing-sbd_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="160" operation="stop" operation_key="dummy1_stop_0"/>
+        <pseudo_event id="161" operation="stop" operation_key="dummy1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="214" operation="stop" operation_key="dlm:3_stop_0"/>
+        <pseudo_event id="215" operation="stop" operation_key="dlm:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="215" operation="stop" operation_key="o2cb:3_stop_0"/>
+        <pseudo_event id="216" operation="stop" operation_key="o2cb:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="216" operation="stop" operation_key="clvm:3_stop_0"/>
+        <pseudo_event id="217" operation="stop" operation_key="clvm:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="217" operation="stop" operation_key="cmirrord:3_stop_0"/>
+        <pseudo_event id="218" operation="stop" operation_key="cmirrord:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="218" operation="stop" operation_key="vg1:3_stop_0"/>
+        <pseudo_event id="219" operation="stop" operation_key="vg1:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="219" operation="stop" operation_key="ocfs2-1:3_stop_0"/>
+        <pseudo_event id="220" operation="stop" operation_key="ocfs2-1:3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="228" operation="stop" operation_key="vm-03_stop_0"/>
+        <pseudo_event id="229" operation="stop" operation_key="vm-03_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="229" operation="stop" operation_key="vm-06_stop_0"/>
+        <pseudo_event id="230" operation="stop" operation_key="vm-06_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="230" operation="stop" operation_key="vm-09_stop_0"/>
+        <pseudo_event id="231" operation="stop" operation_key="vm-09_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="231" operation="stop" operation_key="vm-13_stop_0"/>
+        <pseudo_event id="232" operation="stop" operation_key="vm-13_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="232" operation="stop" operation_key="vm-17_stop_0"/>
+        <pseudo_event id="233" operation="stop" operation_key="vm-17_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="233" operation="stop" operation_key="vm-21_stop_0"/>
+        <pseudo_event id="234" operation="stop" operation_key="vm-21_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="234" operation="stop" operation_key="vm-25_stop_0"/>
+        <pseudo_event id="235" operation="stop" operation_key="vm-25_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="235" operation="stop" operation_key="vm-29_stop_0"/>
+        <pseudo_event id="236" operation="stop" operation_key="vm-29_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="236" operation="stop" operation_key="vm-33_stop_0"/>
+        <pseudo_event id="237" operation="stop" operation_key="vm-33_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="237" operation="stop" operation_key="vm-37_stop_0"/>
+        <pseudo_event id="238" operation="stop" operation_key="vm-37_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="238" operation="stop" operation_key="vm-41_stop_0"/>
+        <pseudo_event id="239" operation="stop" operation_key="vm-41_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="239" operation="stop" operation_key="vm-45_stop_0"/>
+        <pseudo_event id="240" operation="stop" operation_key="vm-45_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="240" operation="stop" operation_key="vm-49_stop_0"/>
+        <pseudo_event id="241" operation="stop" operation_key="vm-49_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="241" operation="stop" operation_key="vm-53_stop_0"/>
+        <pseudo_event id="242" operation="stop" operation_key="vm-53_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="242" operation="stop" operation_key="vm-57_stop_0"/>
+        <pseudo_event id="243" operation="stop" operation_key="vm-57_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="243" operation="stop" operation_key="vm-61_stop_0"/>
+        <pseudo_event id="244" operation="stop" operation_key="vm-61_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="244" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="245" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="39">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-hex-9-reboot" on_node="hex-9" on_node_uuid="hex-9">
+        <attributes CRM_meta_on_node="hex-9" CRM_meta_on_node_uuid="hex-9" CRM_meta_probe_complete="true" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="hex-9"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
